
/* Background */

:root {
  --range-color-unlocked: #2BD4DB;
  --range-color-locked: #FCB84A;
  --range-bg-color: #EAEDF3;
}

.inputRange {
  display: none;
  -webkit-appearance: none;
  height: 0.89rem;
  border-radius: 30px;
  background-size: 0% 100%;
  background: var(--range-bg-color) linear-gradient(var(--range-color-unlocked), var(--range-color-unlocked)) no-repeat;
}

.inputRange::-webkit-slider-thumb {
  -webkit-appearance: none;
  height: 1.9rem;
  width: 1.9rem;
  border-radius: 50%;
  background: white;
  border: 0.45rem solid var(--range-color-unlocked);
  cursor: pointer;
  transition: background .3s ease-in-out;
}

.inputRange::-moz-range-thumb {
  -webkit-appearance: none;
  height: 20px;
  width: 20px;
  border-radius: 50%;
  background: white;
  border: 8px solid var(--range-color-unlocked);
  cursor: pointer;
  transition: background .3s ease-in-out;
}

.inputRange::-ms-thumb {
  -webkit-appearance: none;
  height: 20px;
  width: 20px;
  border-radius: 50%;
  background: white;
  border: 8px solid var(--range-color-unlocked);
  cursor: pointer;
  transition: background .3s ease-in-out;
}

.inputRange::-webkit-slider-runnable-track  {
  -webkit-appearance: none;
  box-shadow: none;
  border: none;
  background: transparent;
}

.inputRange::-moz-range-track {
  -webkit-appearance: none;
  box-shadow: none;
  border: none;
  background: transparent;
}

.inputRange::-ms-track {
  -webkit-appearance: none;
  box-shadow: none;
  border: none;
  background: transparent;
}

/*--------------------------Locked Inputs ----------------------------------*/

.inputLockedRange {
  display: none;
  -webkit-appearance: none;
  height: 0.89rem;
  border-radius: 30px;
  background-size: 0% 100%;
  background: var(--range-bg-color) linear-gradient(var(--range-color-locked), var(--range-color-locked)) no-repeat;
}

.inputLockedRange::-webkit-slider-thumb {
  -webkit-appearance: none;
  height: 1.9rem;
  width: 1.9rem;
  border-radius: 50%;
  background: white;
  border: 0.45rem solid var(--range-color-locked);
  cursor: pointer;
  transition: background .3s ease-in-out;
}

.inputLockedRange::-moz-range-thumb {
  -webkit-appearance: none;
  height: 20px;
  width: 20px;
  border-radius: 50%;
  background: white;
  border: 8px solid var(--range-color-locked);
  cursor: pointer;
  transition: background .3s ease-in-out;
}

.inputLockedRange::-ms-thumb {
  -webkit-appearance: none;
  height: 20px;
  width: 20px;
  border-radius: 50%;
  background: white;
  border: 8px solid var(--range-color-locked);
  cursor: pointer;
  transition: background .3s ease-in-out;
}

.inputLockedRange::-webkit-slider-runnable-track  {
  -webkit-appearance: none;
  box-shadow: none;
  border: none;
  background: transparent;
}

.inputLockedRange::-moz-range-track {
  -webkit-appearance: none;
  box-shadow: none;
  border: none;
  background: transparent;
}

.inputLockedRange::-ms-track {
  -webkit-appearance: none;
  box-shadow: none;
  border: none;
  background: transparent;
}
